> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Eval

> Starts a new evaluation run for an AI evaluation configuration. Optionally specify specific record IDs to evaluate.



## OpenAPI

````yaml post /eval_configs/{id}/runs
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /eval_configs/{id}/runs:
    post:
      summary: Run Eval
      description: >-
        Starts a new evaluation run for an AI evaluation configuration.
        Optionally specify specific record IDs to evaluate.
      operationId: runEval
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: ID of the eval config.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunEvalInput'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIEvalRun'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    RunEvalInput:
      type: object
      properties:
        versionedPromptId:
          type: string
          nullable: false
          description: The ID of the versioned prompt to use for this eval run.
        callAgentId:
          type: string
          nullable: false
          description: The ID of the call agent to evaluate.
        evalRecordIds:
          type: array
          items:
            type: string
          x-go-type-skip-optional-pointer: true
          description: >-
            Optional list of specific eval record IDs to run. If omitted, all
            records in the config are evaluated.
      required:
        - versionedPromptId
        - callAgentId
    AIEvalRun:
      type: object
      properties:
        id:
          type: string
          nullable: false
        status:
          $ref: '#/components/schemas/AIEvalRunStatus'
        callAgentId:
          type: string
          nullable: false
        versionedPromptId:
          type: string
          nullable: false
        createdAt:
          type: string
          format: date-time
          nullable: false
        aggregateResult:
          $ref: '#/components/schemas/AIEvalAggregateResult'
      required:
        - id
        - status
        - callAgentId
        - versionedPromptId
        - createdAt
        - aggregateResult
    AIEvalRunStatus:
      type: string
      enum:
        - PENDING
        - RUNNING
        - SUCCESS
        - FAILED
        - CANCELLED
      description: The status of an evaluation run.
      nullable: false
    AIEvalAggregateResult:
      type: object
      properties:
        numFailing:
          type: integer
          nullable: false
        numPassing:
          type: integer
          nullable: false
      required:
        - numFailing
        - numPassing
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````